Package org.eclipse.remote.serial.ui

# Class SerialPortConnectionBlock.SerialBlockUpdateListener

java.lang.Object
org.eclipse.remote.serial.ui.SerialPortConnectionBlock.SerialBlockUpdateListener

Enclosing class:
  SerialPortConnectionBlock

public abstract class SerialPortConnectionBlock.SerialBlockUpdateListener extends Object

## Constructor Summary

Constructors
Constructor
Description
`SerialBlockUpdateListener()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerialBlockUpdateListener

public SerialBlockUpdateListener()

## Method Details

### update

public abstract void update()